Subject: bug#606: Networking Is Blocked By Default On A Fresh Installation

From: [email-masked]
Date: Sat, 28 Aug 2021 20:14:56 +0200 (CEST)

Package: rfkill
Version: 2.33.1
Severity: critical

Problem:
Devuan 3.1 beowulf installer uses rfkill to BLOCK wifi networking by default on a fresh minimal installation first time boot, by minimal I mean that only 'standard system utilities' and 'print server' is chosen in tasksel, this happens in the absence of package rfkill itself which is needed to UNBLOCK networking. No internet plus no way to enable internet makes the system of no use or non-beneficial for most users.

Steps to reproduce:
1- Download and burn devuan_beowulf_3.1.1_amd64_netinstall.iso
2- boot you cd/usb and start the installer with firmware enabled
3- When asked about networking use wifi and proceed
4- When tasksel dialogue appears untick every thing and only leave 'standard system utilities' and 'print server' checked, we want a minimal installation without any desktops
5- After installation is finished remove the cd/usb and boot into your newly installed system
6- Login as root
7- Try to put your wifi interface up. You'll receive error 'SIOCSIFFLAGS: Operation not possible due to RF-kill'
8- Try using rfkill to unlock networking via command 'rfkill unblock wifi; rfkill unblock all'. Bash will tell you 'rfkill: command not found'

Expected behavior: 
1- Networking should not be blocked by default, not by using rfkill nor any other method

2- The wireless interface should be brought up by default on first boot because it was used during the installation, and my chosen wifi hotspot should also be running by default, most distros do that, they preserve the wifi configuration that was used during the installation (SSID & password), I think Debian too does it. Please investigate if it can be done in Devuan as well, for user convenience. 

Note:
Strangely enough, as seen in steps to reproduce (step number 8), the tool that was used to soft-kill networking (rfkill) is actually absent from the system, meaning that it was only present during the installation and was used by the installer before shutdown and after all the work was done.

Note #2:
When using an Ethernet cable instead of wifi during installation this problem DID NOT occur.

Please see what you can do about this severe issue, maybe it's inherited from Debian, I don't know as I've never used wifi during a Debian netinstall before, I've always used the official iso which does not include non-free firmware hence no wifi during installation at all, only Ethernet.